<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with Wdesk from Workiva-->
<!--Copyright 2023 Workiva-->
<!--r:9e859fb7-0ff6-436c-ae75-6af2dc56150a,g:fa2a58dc-5c1e-40cb-9c41-7874266bfdba-->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:roleRef roleURI="http://xbrl.sec.gov/ecd/role/PvpDisclosure" xlink:type="simple" xlink:href="https://xbrl.sec.gov/ecd/2022q4/ecd-2022q4.xsd#PvpDisclosure"/>
  <link:presentationLink xlink:role="http://xbrl.sec.gov/ecd/role/PvpDisclosure" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_ecd_AllAdjToCompMember" xlink:href="https://xbrl.sec.gov/ecd/2022q4/ecd-2022q4.xsd#ecd_AllAdjToCompMember"/>
    <link:loc xlink:type="locator" xlink:label="loc_crk_EquityAwardsGrantedUnvestedMember" xlink:href="crk-20230423.xsd#crk_EquityAwardsGrantedUnvestedMember"/>
    <link:presentationArc order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_ecd_AllAdjToCompMember" xlink:to="loc_crk_EquityAwardsGrantedUnvestedMember" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/label"/>
    <link:loc xlink:type="locator" xlink:label="loc_crk_EquityAwardsGrantedDuringTheYearMember" xlink:href="crk-20230423.xsd#crk_EquityAwardsGrantedDuringTheYearMember"/>
    <link:presentationArc order="2" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_ecd_AllAdjToCompMember" xlink:to="loc_crk_EquityAwardsGrantedDuringTheYearMember" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/label"/>
    <link:loc xlink:type="locator" xlink:label="loc_crk_EquityAwardsGrantedInPriorYearsUnvestedMember" xlink:href="crk-20230423.xsd#crk_EquityAwardsGrantedInPriorYearsUnvestedMember"/>
    <link:presentationArc order="3" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_ecd_AllAdjToCompMember" xlink:to="loc_crk_EquityAwardsGrantedInPriorYearsUnvestedMember" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/label"/>
    <link:loc xlink:type="locator" xlink:label="loc_crk_EquityAwardsFromPriorYearsVestedMember" xlink:href="crk-20230423.xsd#crk_EquityAwardsFromPriorYearsVestedMember"/>
    <link:presentationArc order="4" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_ecd_AllAdjToCompMember" xlink:to="loc_crk_EquityAwardsFromPriorYearsVestedMember" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/label"/>
    <link:loc xlink:type="locator" xlink:label="loc_crk_EquityAwardsValueOfDividendsMember" xlink:href="crk-20230423.xsd#crk_EquityAwardsValueOfDividendsMember"/>
    <link:presentationArc order="5" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_ecd_AllAdjToCompMember" xlink:to="loc_crk_EquityAwardsValueOfDividendsMember" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/label"/>
  </link:presentationLink>
</link:linkbase>
